Package com.avaya.clientservices.media

## Interface AudioDeviceListener

-     public interface AudioDeviceListener

  Interface for communicating audio focus events for the current active device.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAudioDeviceChanged​(AudioDevice newDevice)` | Called when the active audio device has changed via the AudioInterface API.
    `void` | `onAudioDeviceError​(AudioDeviceError error)` | Audio state error occured.
    `void` | `onAudioDeviceListChanged​(java.util.List<AudioDevice> newDeviceList, boolean activeDeviceChanged)` | Audio device(s) have been added or removed by the system.

- - ### Method Detail

    - #### onAudioDeviceListChanged

          void onAudioDeviceListChanged​(java.util.List<AudioDevice> newDeviceList,
                                        boolean activeDeviceChanged)

      Audio device(s) have been added or removed by the system. This can be due to a Bluetooth device (dis)connecting or a headset being plugged in.
      Parameters:
        `newDeviceList` - updated device list with new device(s) added or removed.
        `activeDeviceChanged` - true if the current active device has changed. If this is true then the audio has moved to a safe state and is muted. A calling setUserRequestedDevice will cause the audio to be restored on the new device. gatActiveDevice() can be called to see what is the currently active device.

    - #### onAudioDeviceChanged

          void onAudioDeviceChanged​(AudioDevice newDevice)

      Called when the active audio device has changed via the AudioInterface API. The callback occurs after the device becomes active, i.e., for Bluetooth after the SCO connection is established.
      Parameters:
        `newDevice` - new active device.

    - #### onAudioDeviceError

          void onAudioDeviceError​(AudioDeviceError error)

      Audio state error occured.
      Parameters:
        `error` - see AudioError enum.